local L = AceLibrary("AceLocale-2.2"):new("Tankalyze")

L:RegisterTranslations("enUS", function() return {
	["addonname"] = "Tankalyze |cff7fff7f -Ace2-|r",
	["author"] = "Tristan - Frostmane.eu",
	["translator"] = "Using translation by: Tristan - Frostmane.eu",
	["consolecommands"] = {"/Tankalyze", "/ttank", "/ttaunt"},
	
	["ResistTauntRX"] = "Your Taunt was resisted by (%w+)",
	["ResistGrowlRX"] = "Your Growl was resisted by (%w+)",
	["MockingBlowRX"] = "(.*)Mocking Blow(.*)",
	["MockingBlowSuccessRX"] = "Your Mocking Blow (.+) for (.+)",
	["ResistChallengingShoutRX"] = "Your Challenging Shout was resisted by (.*)\.",
	["ResistChallengingRoarRX"] = "Your Challenging Roar was resisted by (.*)\.",
	["ChallengingShoutRX"] = "(.*)Challenging Shout(.*)",
	["ChallengingRoarRX"] = "(.*)Challenging Roar(.*)",
	
	["TauntMessage"] = ">>> Taunt failed against: {t} ({l}) <<<",
	["TauntMessageSCT"] = "Taunt failed: {t}",
	["GrowlMessage"] = ">>> Growl failed against: {t} ({l}) <<<",
	["GrowlMessageSCT"] = "Growl failed: {t}",
	["MockingMessage"] = ">>> Mocking Blow missed against: {t} ({l}) <<<",
	["MockingMessageSCT"] = "Mocking Blow missed: {t}",
	["ShoutMessage"] = ">>> Challenging Shout failed against: {t} ({l}) <<<",
	["ShoutMessageSCT"] = "Challenging Shout failed: {t}",
	["RoarMessage"] = ">>> Challenging Roar failed against: {t} ({l}) <<<",
	["RoarMessageSCT"] = "Challenging Roar failed: {t}",
	["level "] = true,
	["MessagesInfo"] = "Type the text you want to use for the setting {t} will be swapped for targetname and {l} for level (case sensitive)",
	["MessagesInfoNoTarget"] = "Type the text you want to use for the setting",
	["WallUsedMessage"] = ">>> Shield Walling <<<",
	["StandUsedMessage"] = ">>> Last Stand used <<<",
	["GemUsedMessage"] = ">>> Lifegiving Gem used <<<",
	["ShoutUsedMessage"] = ">>> Challenging Shout used (6 sec) <<<",
	["RoarUsedMessage"] = ">>> Challenging Roar used (6 sec) <<<",
	
	["Menu"] = true,
	["Show Menu"] = true,
	["Resists"] = true,
	["Settings for resists"] = true,
	["Resists Messages"] = true,
	["Message settings for resists"] = true,
	["Announces resisted taunts"] = true,
	["Announces resisted growls"] = true,
	["Announces missed Mocking Blows"] = true,
	["Announces resisted challenging shouts"] = true,
	["Announces resisted challenging roars"] = true,
	["Announce To"] = true,
	["Set where to announce"] = true,
	["Custom Chan"] = true,
	["Name of the channel to send to (only used if Announce To is set to CHANNEL)"] = true,
	["Alert Self"] = true,
	["Toggles alert in the standard UI Error Frame"] = true,
	["Don't send in BG's"] = true,
	["Toggles wheter to send messages inside battlegrounds or not"] = true,
	["Scrolling Combat Text Alert"] = true,
	["Toggles message sent to Scrolling Combat Text (if installed) as Combat Flag"] = true,
	["Announces"] = true,
	["Settings for announces"] = true,
	["Announce Messages"] = true,
	["Message settings for announces"] = true,
	["Test"] = true,
	["Send test messages with current settings"] = true,
	["Humour"] = true,
	["Do you have it?"] = true,
	["Logging"] = true,
	["Logging for Challenging Shout/Roar if you want to help"] = "I now have the logs I wanted so no need to keep using this. I keep the setting simply for my own use in case I need it again!",
	
	["Used"] = " used",
	["<No Target>"] = true,
	["<Friendly Target>"] = true,
	["Unknown"] = true,
	["go me"] = true,
	["GG, I just put rend on a worldboss!"] = true,
	["Custom channel not found"] = "Custom channel [|cffff7f7f{c}|r] not found, please type |cff7fff7f/join {c}|r in chat",
	["Hotbar spell found"] = "Spell '|cff77ff77{s}|r' located on hotbars",
	["Hotbar spell not found error"] = "|cffff7777WARNING|r: Couldn't find spell with name '|cffff7777{s}|r' on the hotbars! Some functionallity may be lost",
	["Hotbar spell removed"] = "|cffff7777WARNING|r: spell with name '|cffff7777{s}|r' appear to have been removed from the hotbars! Some functionallity may be lost",
	["Not implemented"] = "Not implemented, not sure it will ever be!",
	
	["ClassificationBoss"] = "worldboss",
	["ClassificationElite"] = "elite",
	
	["|cffffff7fDebug : |r"] = true,
	
	--[[ Spells we cast ]]
	["Lifegiving Gem Menu"] = "Gift of Life (Lifegiving Gem)",
	["Lifegiving Gem"] = "Gift of Life",
		-- * WARRIOR *
			["Sunder Armor"] = true,
			["Revenge"] = true,
			["Heroic Strike"] = true,
			["Shield Bash"] = true,
			["Mocking Blow"] = true,
			["Shield Block"] = true,
			["Shield Slam"] = true,
			["Mortal Strike"] = true,
			["Bloodthirst"] = true,
			["Taunt"] = true,
			["Mocking Blow"] = true,
			["Challenging Shout"] = true,
			["Shield Wall"] = true,
			["Last Stand"] = true,
			["Rend"] = true,
			["Death Wish"] = true,
			["Concussion Blow"] = true,
			["Whirlwind"] = true,
			["Berserker Rage"] = true,
			["Overpower"] = true,
			["Execute"] = true,
			["Intercept"] = true,
			["Improved Heroic Strike"] = true,
			["Improved Sunder Armor"] = true,
		-- * DRUID *
			["Growl"] = true,
			["Challenging Roar"] = true,
} end)

L:RegisterTranslations("esES", function() return {
	["addonname"] = "Tankalyze |cff7fff7f -Ace2-|r",
	["author"] = "Tristan - Frostmane.eu",
	["translator"] = "Usando la traducción de: shiftos",
	["consolecommands"] = {"/Tankalyze", "/ttank", "/ttaunt"},
	
	["ResistTauntRX"] = "(%w+) ha resistido tu Provocar",
	["ResistGrowlRX"] = "(%w+) ha resistido tu Bramido",
	["MockingBlowRX"] = "(.*)Falsa arremetida(.*)",
	["MockingBlowSuccessRX"] = "Tu Falsa arremetida (.+) por (.+)",
	["ResistChallengingShoutRX"] = "Tu Grito desafiante ha sido resistido por (.*)\.",
	["ResistChallengingRoarRX"] = "(.*)\. ha resistido tu Rugido desafiante",
	["ChallengingShoutRX"] = "(.*)Grito desafiante(.*)",
	["ChallengingRoarRX"] = "(.*)Rugido desafiante(.*)",
	
	["TauntMessage"] = ">>> Provocación fallada contra: {t} ({l}) <<<",
	["TauntMessageSCT"] = "Provocación fallada: {t}",
	["GrowlMessage"] = ">>> Bramido fallado contra: {t} ({l}) <<<",
	["GrowlMessageSCT"] = "Bramido fallado: {t}",
	["MockingMessage"] = ">>> Falsa arremetida fallada contra: {t} ({l}) <<<",
	["MockingMessageSCT"] = "Falsa arremetida fallada: {t}",
	["ShoutMessage"] = ">>> Grito desafiante fallado contra: {t} ({l}) <<<",
	["ShoutMessageSCT"] = "Grito desafiante fallado: {t}",
	["RoarMessage"] = ">>> Rugido desafiante fallado contra: {t} ({l}) <<<",
	["RoarMessageSCT"] = "Rugido desafiante fallado: {t}",
	["level "] = "nivel ",
	["MessagesInfo"] = "Escribe el texto que quieres usar, {t} será sustituido por el nombre del objetivo y {l} por su nivel (sensible a mayúsculas y minúsculas)",
	["MessagesInfoNoTarget"] = "Escribe el texto que quieres usar",
	["WallUsedMessage"] = ">>> Muro de escudo <<<",
	["StandUsedMessage"] = ">>> Última carga usada <<<",
	["GemUsedMessage"] = ">>> Gema dadora de vida usada <<<",
	["ShoutUsedMessage"] = ">>> Grito desafiante usado (6 seg) <<<",
	["RoarUsedMessage"] = ">>> Rugido desafiante usado (6 seg) <<<",
	
	["Menu"] = "Menú",
	["Show Menu"] = "Muestra el menú",
	["Resists"] = "Resistencias",
	["Settings for resists"] = "Ajustes para las resistencias",
	["Resists Messages"] = "Mensajes de resistencias",
	["Message settings for resists"] = "Ajustes para los mensajes de resistencias",
	["Announces resisted taunts"] = "Anuncia las provocaciones resistidas",
	["Announces resisted growls"] = "Anuncia los bramidos resistidos",
	["Announces missed Mocking Blows"] = "Anuncia las falsas arremeteidas falladas",
	["Announces resisted challenging shouts"] = "Anuncia los gritos desafiantes resistidos",
	["Announces resisted challenging roars"] = "Anuncia los rugidos desafiantes resistidos",
	["Announce To"] = "Anunciar en",
	["Set where to announce"] = "Establece dónde se anuncia",
	["Custom Chan"] = "Canal personalizado",
	["Name of the channel to send to (only used if Announce To is set to CHANNEL)"] = "Nombre del canal al que enviar (solo se usa si Anunciar en está establecido a CHANNEL)",
	["Alert Self"] = "Altertarse",
	["Toggles alert in the standard UI Error Frame"] = "Determina si se muestra una alerta en el marco de error estándar de la interfaz",
	["Don't send in BG's"] = "No enviar en Campos de Batalla",
	["Toggles wheter to send messages inside battlegrounds or not"] = "Determina si se envían o no mensajes dentro de los campos de batalla",
	["Scrolling Combat Text Alert"] = "Alerta en Scrolling Combat Text",
	["Toggles message sent to Scrolling Combat Text (if installed) as Combat Flag"] = "Determina si se envía un mensaje a Scrolling Combat Text (si está instalado) como Marca de Combate",
	["Announces"] = "Anuncios",
	["Settings for announces"] = "Ajustes para los anuncios",
	["Announce Messages"] = "Mensajes de anuncio",
	["Message settings for announces"] = "Ajustes para los mensajes a anunciar",
	["Test"] = "Probar",
	["Send test messages with current settings"] = "Envía mensajes de prueba con los ajustes actuales",
	["Humour"] = "Humor",
	["Do you have it?"] = "¿Lo tienes?",
	["Logging"] = "Registro",
	["Logging for Challenging Shout/Roar if you want to help"] = "I now have the logs I wanted so no need to keep using this. I keep the setting simply for my own use in case I need it again!",
	
	["Used"] = " usado(a)",
	["<No Target>"] = "<Sin Objetivo>",
	["<Friendly Target>"] = "<Objetivo Amistoso>",
	["Unknown"] = "Desconocido",
	["go me"] = "viva yo",
	["GG, I just put rend on a worldboss!"] = "Bien Jugado, ¡acabo de Desgarrar un jefe de mundo!",
	["Custom channel not found"] = "El canal personalizado [|cffff7f7f{c}|r] no ha podido ser encontrado, por favor, escribe |cff7fff7f/join {c}|r en el chat",
	["Hotbar spell found"] = "El hechizo '|cff77ff77{s}|r' ha sido encontrado en las barras de acción",
	["Hotbar spell not found error"] = "|cffff7777AVISO|r: ¡No se ha podido encontrar el hechizo con el nombre '|cffff7777{s}|r' en las barras de acción! Puede perderse alguna funcionalidad",
	["Hotbar spell removed"] = "|cffff7777AVISO|r: ¡el hechizo con el nombre '|cffff7777{s}|r' parece haber sido quitado de tus barras de acción! Puede perderse alguna funcionalidad",
	["Not implemented"] = "No implementado, ¡no estoy seguro de que algun día lo esté!",
	
	["ClassificationBoss"] = "jefe de mundo",
	["ClassificationElite"] = "elite",
	
	["|cffffff7fDebug : |r"] = "|cffffff7fDebug : |r",
	
	--[[ Spells we cast ]]
	["Lifegiving Gem Menu"] = "Don de Vida (Gema dadora de vida)",
	["Lifegiving Gem"] = "Don de Vida",
		-- * WARRIOR *
			["Sunder Armor"] = "Hender armadura",
			["Revenge"] = "Revancha",
			["Heroic Strike"] = "Golpe heroico",
			["Shield Bash"] = "Azote de escudo",
			["Mocking Blow"] = "Falsa arremetida",
			["Shield Block"] = "Bloquear con escudo",
			["Shield Slam"] = "Embate con escudo",
			["Mortal Strike"] = "Golpe mortal",
			["Bloodthirst"] = "Sed de sangre",
			["Taunt"] = "Provocar",
			["Mocking Blow"] = "Falsa arremetida",
			["Challenging Shout"] = "Grito desafiante",
			["Shield Wall"] = "Muro de escudo",
			["Last Stand"] = "Última carga",
			["Rend"] = "Desgarrar",
			["Death Wish"] = "Deseo de la Muerte",
			["Concussion Blow"] = "Arremetida de conmoción",
			["Whirlwind"] = "Torbellino",
			["Berserker Rage"] = "Ira rabiosa",
			["Overpower"] = "Abrumar",
			["Execute"] = "Ejecutar",
			["Intercept"] = "Interceptar",
			["Improved Heroic Strike"] = "Golpe heroico mejorado",
			["Improved Sunder Armor"] = "Hender armadura mejorado",
		-- * DRUID *
			["Growl"] = "Bramido",
			["Challenging Roar"] = "Rugido desafiante",
} end)
